Package Details: protonvpn 1.0.0-2

Git Clone URL: https://aur.archlinux.org/protonvpn.git (read-only, click to copy)
Package Base: protonvpn
Description: Official ProtonVPN metapackage that installs protonvpn-gui and protonvpn-cli, maintained by the ProtonVPN team.
Upstream URL: https://github.com/ProtonVPN/
Licenses: GPL3
Submitter: protontechag
Maintainer: protontechag (calexandru2018)
Last Packager: calexandru2018
Votes: 20
Popularity: 4.48
First Submitted: 2021-05-28 17:12
Last Updated: 2021-08-10 16:33

Dependencies (2)

Required by (0)

Sources (0)

Latest Comments

vanillabase1lb commented on 2021-10-05 07:02

For those who are unable to connect via GUI and see empty screen with close button or get unknown error on CLI, try doing pip install jinja2. This fixed my problem

rustyr commented on 2021-09-24 17:50

Following up on my previous comment. The issue was on my end. I had a local python installation of an older version of proton-client (v0.5.1), which was being used over the up-to-date, system-wide install provided by this AUR package (v0.6.1). Removing the local version resolved the issue.

rustyr commented on 2021-09-24 00:05

Anyone else running into this issue after the update to 1.0.0-2?

Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/protonvpn_gui/main.py", line 250, in do_activate
    if not protonvpn.check_session_exists():
  File "/usr/lib/python3.9/site-packages/protonvpn_nm_lib/api.py", line 321, in check_session_exists
    return self._env.api_session.is_valid
  File "/usr/lib/python3.9/site-packages/protonvpn_nm_lib/core/environment.py", line 54, in api_session
    self.__api_session = APISession()
  File "/usr/lib/python3.9/site-packages/protonvpn_nm_lib/core/session/session.py", line 189, in __init__
    self.__session_create()
  File "/usr/lib/python3.9/site-packages/protonvpn_nm_lib/core/session/session.py", line 209, in __session_create
    self.__proton_api = Session(
TypeError: __init__() got an unexpected keyword argument 'log_dir_path'

niva commented on 2021-09-06 13:08

Wasted many hours trying to get this to work. Finally figured out that nm-applet must be running in order for it to work. This also needs to run for protonvpn-cli!

chester-tan commented on 2021-06-02 09:45

Secure core doesn't seem to work. Without it it seems to work fine though. Thanks for packaging this :)

moonaru commented on 2021-05-31 19:28

Thank you for preparing the package, but there is a keyring error in the package. To fix this, the asc gpg key file needs to be downloaded and imported from the protonvpn site. https://repo.protonvpn.com/debian/public_key.asc then after doing "gpg --import public_key.asc" the installation completes without any problem.